The jack package

[Tags:gpl, library]

Bindings for the JACK Audio Connection Kit. It has support both for PCM audio and MIDI handling.

In order to adapt to your system, you may have to disable pkgConfig or jackFree cabal flags.

[Skip to Readme]


Versions 0.5, 0.6, 0.6.1,, 0.6.2, 0.7,,,, 0.7.1
Dependencies array (>=0.2 && <0.5), base (>=4.0 && <5.0), bytestring (>= && <0.11), containers (>=0.2 && <0.5), enumset (==0.0.*), event-list (==0.1.*), explicit-exception (>=0.1.7 && <0.2), jack, midi (>= && <0.3), non-negative (==0.1.*), storablevector (>=0.2.7 && <0.3), transformers (>=0.2 && <0.4), unix (>=2.3 && <2.7) [details]
License GPL
Author Soenke Hahn, Stefan Kersten, Henning Thielemann
Maintainer Henning Thielemann <>
Stability Unknown
Category Sound
Home page
Source repository head: darcs get
this: darcs get --tag 0.7
Uploaded Fri May 17 16:53:30 UTC 2013 by HenningThielemann
Distributions NixOS:0.7.1
Downloads 1829 total (29 in the last 30 days)
0 []
Status Docs uploaded by user
Build status unknown [no reports yet]




pkgconfigUse pkg-config tool for check version and presence of jackEnabledAutomatic
jackfreeUse jack_free instead of freeEnabledAutomatic
buildexamplesBuild example executablesDisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info


Maintainer's Corner

For package maintainers and hackage trustees

Readme for jack

Readme for jack-0.7

Jack - Bindings to the JACK Audio Connection Kit for Haskell

It's far from being finished...


    runhaskell Setup configure
    runhaskell Setup build
    runhaskell Setup haddock    # if you want
    sudo runhaskell Setup install

You need JACK for this to work...
( )

You should compile your clients with 'ghc --make -O2 -threaded ...'

The software is licensed under GPL 2, see LICENSE.

Any comments appreciated: